/*
 * Copyright (c) 2008 Lu, Chao-Ming (Tetralet).  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */


#include "menu.h"

// user default
extern gboolean show_menu;
extern gchar** supported_locales;
extern gchar* default_locale;
// I don't like it though...
extern GtkWidget *current_vtebox;

extern GtkWidget *window;
extern GtkWidget *notebook;
GtkWidget *locale_menu;

void create_menu()
{
	GtkWidget *menu_item;
	gint i=0;
	
	locale_menu = gtk_menu_new();

	// 1st item: System Default
	menu_item = gtk_menu_item_new_with_label("System Default");
	gtk_menu_shell_append(GTK_MENU_SHELL(locale_menu), menu_item);
	g_signal_connect(menu_item, "activate", G_CALLBACK(set_locale), "");

	while (supported_locales[i]!=NULL)
	{
		if (*(supported_locales[i]))
		{
			menu_item = gtk_menu_item_new_with_label(supported_locales[i]);
			gtk_menu_shell_append(GTK_MENU_SHELL(locale_menu), menu_item);
			g_signal_connect(menu_item, "activate", G_CALLBACK(set_locale), supported_locales[i]);
		}
		i++;
	}
	gtk_widget_show_all(locale_menu);
}

// it is OK to use either zh_TW.Big5 or Big5
void set_locale(GtkWidget *widget, gchar* locale)
{
	gchar** locales;

	// Using system default
	if ( ! (*locale))
		locale = default_locale;

	locales = g_strsplit_set(locale, ".", 0);
	if (locales[1])
		vte_terminal_set_encoding(VTE_TERMINAL(current_vtebox), locales[1]);
	else
		vte_terminal_set_encoding(VTE_TERMINAL(current_vtebox), locales[0]);
	
	g_strfreev(locales);
}
